Get Manager Availability Information

Prev Next
This URL provides Manager availability information to the user with basic details like MDR configuration.

Resource URL

GET /heartbeat

Request Parameters

None

Response Parameters

Field Name Description Data Type
mdrAdministrativeStatus MDR administrative status String
lastUpdatedTime Last updated timestamp String
mdrPeerIpAddress MDR peer IP address String
mdrOperationalStatus MDR operational status String
downTimeForSwitchOver Down time switch over String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/heartbeat

Response

{
       "mdrAdministrativeStatus": "Primary",
       "mdrOperationalStatus": "Active",
       "mdrPeerIpAddress": "172.16.232.97",
       "downTimeForSwitchOver": "5 minutes",
       "lastUpdatedTime": "2013-06-13 11:11:59"
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error code SDK API errorId errorMessage
1 400 4501 Unable to get the Manager details